BareMetal API, REST: Configuration.List
Retrieves the list of Configuration resources.
HTTP request
GET https://baremetal.api.yandexcloud.kz/baremetal/v1alpha/configurations
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set |
|
orderBy |
string By which column the listing should be ordered and in which direction, |
|
filter |
string A filter expression that filters resources listed in the response.
|
|
folderId |
string ID of the folder to return a Configuration resource for. The maximum string length in characters is 50. Value must match the regular expression |
Response
HTTP Code: 200 - OK
{
"configurations": [
{
"id": "string",
"name": "string",
"memoryGib": "string",
"cpu": {
"name": "string",
"vendor": "string",
"cores": "string",
"physicalCores": "string",
"frequencyMhz": "string",
"threads": "string"
},
"diskDrives": [
{
"type": "string",
"diskCount": "string",
"diskSizeGib": "string"
}
],
"networkCapacityGbps": "string",
"cpuNum": "string",
"networkInterfaces": [
{
"id": "string",
"name": "string",
"configurationId": "string",
"linkSpeedGbps": "string",
"availableModes": [
"string"
],
"mcLagOptions": {
"interfaceCount": "string"
}
}
],
"mountingAvailability": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
configurations[] |
List of Configuration resources. |
|
nextPageToken |
string Token for getting the next page of the list. If the number of results is greater than |
Configuration
|
Field |
Description |
|
id |
string ID of the configuration. |
|
name |
string Name of the configuration. |
|
memoryGib |
string (int64) Random-access memory (RAM) size in gibibytes (2^30 bytes). |
|
cpu |
CPU configuration. |
|
diskDrives[] |
Array of disk drive configurations. |
|
networkCapacityGbps |
string (int64) Network capacity or bandwidth in gigabits per second. |
|
cpuNum |
string (int64) Number of cpu. |
|
networkInterfaces[] |
Network interfaces of the configuration. |
|
mountingAvailability |
enum (MountingAvailability) Indicates whether the mounting option is available or not for this configuration.
|
CPU
CPU configuration.
|
Field |
Description |
|
name |
string Name of the CPU. |
|
vendor |
string Vendor of the CPU. |
|
cores |
string (int64) @deprecated. Number of cores. |
|
physicalCores |
string (int64) Number of physical cores per CPU (socket). |
|
frequencyMhz |
string (int64) Frequency of the CPU in megahertz (MHz). Value must be greater than 0. |
|
threads |
string (int64) Number of threads (logical cores) per CPU (socket). |
DiskDriveConfiguration
|
Field |
Description |
|
type |
enum (DiskDriveType) Type of the disk drive.
|
|
diskCount |
string (int64) Number of disk drives. |
|
diskSizeGib |
string (int64) Size of a single disk drive in gibibytes (2^30 bytes). |
ConfigurationNetworkInterface
|
Field |
Description |
|
id |
string Id of the network interface |
|
name |
string Name of the network interface |
|
configurationId |
string Id of the configuration |
|
linkSpeedGbps |
string (int64) Link speed in gigabits per second |
|
availableModes[] |
enum (InterfaceMode) Available modes for the network interface
|
|
mcLagOptions |
MC-LAG configuration options for aggregated interfaces |
MCLagAggregationOptions
MC-LAG aggregation options for the network interface.
|
Field |
Description |
|
interfaceCount |
string (int64) Number of interfaces in the MC-LAG aggregation. |